gr::lte::sss_calculator_vcm_impl Class Reference

`#include <sss_calculator_vcm_impl.h>`

Inheritance diagram for gr::lte::sss_calculator_vcm_impl:
[legend]

## Public Member Functions

| sss_calculator_vcm_impl (int fftl, std::string key_id, std::string key_offset, std::string &name)
| ~sss_calculator_vcm_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
int | get_cell_id ()
long | get_frame_start ()

## Additional Inherited Members

Public Types inherited from gr::lte::sss_calculator_vcm
typedef boost::shared_ptr< sss_calculator_vcm > | sptr
Static Public Member Functions inherited from gr::lte::sss_calculator_vcm
static sptr | make (int fftl, std::string key_id, std::string key_offset, std::string name="sss_calculator_vcm")
| Return a shared_ptr to a new instance of lte::sss_calculator_vcm.

## Constructor & Destructor Documentation

## sss_calculator_vcm_impl()

gr::lte::sss_calculator_vcm_impl::sss_calculator_vcm_impl | ( | int | fftl,
|  | std::string | key_id,
|  | std::string | key_offset,
|  | std::string & | name )

## ~sss_calculator_vcm_impl()

gr::lte::sss_calculator_vcm_impl::~sss_calculator_vcm_impl | ( |  | ) |

## Member Function Documentation

## get_cell_id()

int gr::lte::sss_calculator_vcm_impl::get_cell_id | ( |  | ) |

inlinevirtual

Implements gr::lte::sss_calculator_vcm.

## get_frame_start()

long gr::lte::sss_calculator_vcm_impl::get_frame_start | ( |  | ) |

inlinevirtual

Implements gr::lte::sss_calculator_vcm.

## work()

int gr::lte::sss_calculator_vcm_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- sss_calculator_vcm_impl.h